Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.icm.client.panel
Class ImportCardPanel

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  org.eclipse.higgins.ics.gwt.icm.client.panel.ImportFilePanel
                      org.eclipse.higgins.ics.gwt.icm.client.panel.ImportCardPanel

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener

public class ImportCardPanel
extends ImportFilePanel

Constructor Summary
`ImportCardPanel(String actionUrl, String fileMask)`

Method Summary
`void` | `onSubmit(com.google.gwt.user.client.ui.FormSubmitEvent event)`
`void` | `onSubmitComplete(com.google.gwt.user.client.ui.FormSubmitCompleteEvent event)`

Methods inherited from class org.eclipse.higgins.ics.gwt.icm.client.panel.ImportFilePanel
`getDialog, getFileMask, getUpload, setAction, setFileMask, show`

Methods inherited from class com.google.gwt.user.client.ui.Composite
`getElement, isAttached`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`getParent, onBrowserEvent, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, getAbsoluteLeft, getAbsoluteTop, getOffsetHeight, getOffsetWidth, getStyleName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, setHeight, setPixelSize, setSize, setStyleName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImportCardPanel

    public ImportCardPanel(String actionUrl,
                           String fileMask)

Method Detail

### onSubmit

    public void onSubmit(com.google.gwt.user.client.ui.FormSubmitEvent event)

  Specified by:
    `onSubmit` in class `ImportFilePanel`

### onSubmitComplete

    public void onSubmitComplete(com.google.gwt.user.client.ui.FormSubmitCompleteEvent event)

  Specified by:
    `onSubmitComplete` in class `ImportFilePanel`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD